On Mon, 9 Oct 2006 14:42:10 -0500 (CDT)
"Ben K." wrote:

>
> Well, I did "force install" and tried it for some time, but couldn't
> make it work with a few modification.
>
> There are errors about Apache::Const and Apache::compat - they're not
> in apache2 space any more.
>
> I'll do more probe this evening.


I looked at the code a bit, and it's going to need a bunch of work.

You'll need to follow the changes laid out in the rename doc,
http://perl.apache.org/docs/2.0/rename.html

The problem is that it uses mod_perl APIs throughout it's code and
so you're going to end up with a bunch of if( MP2 ) { } else { }
blocks everywhere. Where you'll use say Apache2::Const::OK and
use Apache::OK in the else.

---------------------------------
Frank Wiles
http://www.wiles.org
---------------------------------